Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cpw.mods.fml.client.modloader
Class ModLoaderBlockRendererHandler

    java.lang.Object
      cpw.mods.fml.client.modloader.ModLoaderBlockRendererHandler

All Implemented Interfaces:
  ISimpleBlockRenderingHandler

    public class ModLoaderBlockRendererHandler

extends Object
implements ISimpleBlockRenderingHandler

Author:
  cpw

Constructor Summary
`ModLoaderBlockRendererHandler(int renderId, boolean render3dInInventory, BaseMod mod)`

Method Summary
`int` | `getRenderId()`
`void` | `renderInventoryBlock(Block block, int metadata, int modelID, RenderBlocks renderer)`
`boolean` | `renderWorldBlock(IBlockAccess world, int x, int y, int z, Block block, int modelId, RenderBlocks renderer)`
`boolean` | `shouldRender3DInInventory()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModLoaderBlockRendererHandler

    public ModLoaderBlockRendererHandler(int renderId,
                                         boolean render3dInInventory,
                                         BaseMod mod)

Parameters:
  `mod` -

Method Detail

### getRenderId

    public int getRenderId()

  Specified by:
    `getRenderId` in interface `ISimpleBlockRenderingHandler`

### shouldRender3DInInventory

    public boolean shouldRender3DInInventory()

  Specified by:
    `shouldRender3DInInventory` in interface `ISimpleBlockRenderingHandler`

### renderWorldBlock

    public boolean renderWorldBlock(IBlockAccess world,
                                    int x,
                                    int y,
                                    int z,
                                    Block block,
                                    int modelId,
                                    RenderBlocks renderer)

  Specified by:
    `renderWorldBlock` in interface `ISimpleBlockRenderingHandler`
  Parameters:
    `world` -
    `x` -
    `y` -
    `z` -
    `block` -
    `modelId` -
    `renderer` -

### renderInventoryBlock

    public void renderInventoryBlock(Block block,
                                     int metadata,
                                     int modelID,
                                     RenderBlocks renderer)

  Specified by:
    `renderInventoryBlock` in interface `ISimpleBlockRenderingHandler`
  Parameters:
    `block` -
    `metadata` -
    `modelID` -
    `renderer` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD